# s3270 Resources

Resources are used to configure s3270. Resources are named items with string, integer or Boolean values.

Resource definitions come from the following sources:

- Default values are compiled into s3270.
- If a session file foo.s3270 is specified on the command line, its contents are applied. These definitions override resource values defined by compiled-in defaults.
- Command-line options override all other resource definitions. If more than one command-line option sets a resource, the last one is used.

Many resources have their own command-line switches, which are listed below. Those that do not can still be set from the command-line via the -xrm command-line option. For example s3270.bsdTm can be set by the following command-line option:

         -xrm 's3270.bsdTm: true'

Note that -xrm is supported on all of the 3270 emulators, not just on x3270.

## Resource File Syntax

A resource file (session file) has the following syntax.

- Each definition consists of:

          s3270.resource-name: value

- Comment lines begin with !.
- Line continuation is indicated by a backshash (\) character at the end of a line.

## Alphabetical Resource List

Name: s3270.acceptHostname
Type: String
Command Line: -accepthostname
Description:

Defines a specific name to accept when validating the name presented in the server's SSL certificate, instead of using the name or IP address used to make the connection. Takes one of three forms: any, which disables name checking, DNS:name, which specifies a DNS hostname, and IP:address, which specifies a numeric IPv4 or IPv6 address.

Name: s3270.aidWait
Type: Boolean
Default: false
Command Line: -set aidWait , -clear aidWait
Description:

When true, s3270 will not block a script after executing an AID action (Enter, Clear, PF or PA). It is then script's responsibility to poll s3270's status until it shows that the keyboard is no longer unlocked.

Name: s3270.bindLimit
Type: Boolean
Default: true
Description:

When true, s3270 will restrict its screen dimensions to those specified in the BIND image sent by the host. If false, it will not.

Name: s3270.bindUnlock
Type: Boolean
Default: false
Description:

When true, s3270 will unlock the keyboard as soon as the host sends a BIND image. Otherwise, it will wait until the host sends a Write command.

Note that in some previous releases, unlocking as soon as the BIND image was recevied was the default, and this behavior could be overridden (forcing s3270 to wait for the Write) by the B: option on the hostname. Since waiting for the Write is now the default, B: is still supported as a no-op.

Name: s3270.blankFill
Type: Boolean
Default: false
Command Line: -set blankFill , -clear blankFill
Description:

When true, in 3270 mode s3270 will automatically convert trailing blanks in a field to NULLs in order to insert a character, and will automatically convert leading NULLs to blanks so that input data is not squeezed to the left. This works around some of the quirkier behavior of real 3270 terminals.

Name: s3270.bsdTm
Type: Boolean
Default: false
Description:

Defines s3270's response to the TELNET DO TIMING MARK option. When set to false, s3270 will respond to DO TIMING MARK with WONT TIMING MARK, which is consistent with most modern TELNET clients. When true, s3270 will respond with WILL TIMING MARK, which is consistent with the old BSD telnet command and with previous versions of s3270. In either case, s3270 will never respond to a DONT TIMING MARK option.

Name: s3270.caDir
Type: String
Command Line: -cadir
Description:

Defines a directory containing CA (root) certificates, used to validate a certificate presented by the host during SSL negotiation. The default is determined by the OpenSSL library on your workstation.

Name: s3270.caFile
Type: String
Command Line: -cafile
Description:

Defines a PEM-format file containing CA (root) certificates, used to validate a certificate presented by the host during SSL negotiation. The default is determined by the OpenSSL library on your workstation.

Name: s3270.certFile
Type: String
Command Line: -certfile
Description:

Gives the name of a certificate file, provided to the host if requested during SSL negotiation. The default file format is PEM; it can be overridden by s3270.certFileType. The private key for the certificate is specified by s3270.keyFile. If s3270.chainFile is specified, it overrides s3270.certFile.

Name: s3270.certFileType
Type: String
Default: pem
Command Line: -certfiletype
Description:

Gives the type of the certificate file specified by s3270.certFile. The value can be pem or asn1.

Name: s3270.chainFile
Type: String
Command Line: -chainfile
Description:

Gives the name of a certificate chain file, provided to the host if requested during SSL negotiation. The file contains a PEM-format certificate, optionally followed by any intermediate certificates used to sign it, and the CA (root) certificate. The private key for the certificate is specified by s3270.keyFile. If s3270.chainFile is specified, it overrides s3270.certFile.

Name: s3270.charset
Type: String
Default: bracket
Command Line: -charset
Description:

This defines the host EBCDIC character set, that is, what glyph (image) is displayed for each EBCDIC code sent by the host, and what EBCDIC code is sent to the host for each character typed on the keyboard. This is more correctly referred to as the host code page.

To display the character sets supported by s3270, use the -v command-line option.

Name: s3270.color8
Type: Boolean
Default: false
Description:

If true, s3270 will respond to a Query(Color) with a list of 8 supported colors. If false, it will send a list of 16 colors. The 8-color setting is required for some hosts which abort a session if 16 colors are reported.

Name: s3270.confDir
Type: String
Default: /usr/local/etc/x3270
Description:

Defines the s3270 configuration directory, where s3270 will search for the ibm_hosts file by default. (See s3270.hostsFile.)

Name: s3270.connectTimeout
Type: Integer
Command Line: -connecttimeout
Description:

Specifies a timeout, in seconds, that s3270 will wait for a host connection to complete. If this is not set, the timeout will be determined by the operating system. Note that s3270 will wait for the lesser of the two times (the specified timeout and the system-defined timeout).

Name: s3270.dbcsCgcsgid
Type: String
Description:

Overrides the compiled-in value of the CGCSGID for the current host character set, which will be reported to the host in response to a Query(Character Sets). The value is an integer, which can be prefixed with '0x' to be in hexadecimal. The upper 16 bits are the GCSGID (character set) and the lower 16 bits are the CPGID (code page). This value applies only to the double-byte (DBCS) character set. Use s3270.sbcsCgcsgid for the single-byte (SBCS) character set.

Name: s3270.dftBufferSize
Type: Integer
Default: 4096
Description:

Deprecated resource -- replaced by s3270.ftBufferSize

Specifies the default buffer size for DFT IND$FILE file transfers. This value can be overridden in the File Transfer dialog and by a parameter to the Transfer action.

Name: s3270.devName
Type: String
Command Line: -devname
Description:

Specifies the device name (workstation ID) sent in response to a TELNET NEW-ENVIRON sub-negotiation request, used by iSeries hosts (RFC 4777).

Name: s3270.dsTrace
Type: Boolean
Default: false
Command Line: -trace , -set dsTrace , -clear dsTrace
Description:

Deprecated resource -- replaced by s3270.trace

When true, s3270 writes a hexadecimal representation of all network traffic (and its interpretation) into a file, which defaults to x3trc.pid. The directory where the file is written is defined by s3270.traceDir. If s3270.traceFile is defined, it gives the entire pathname and s3270.traceDir is ignored.

Name: s3270.eof
Type: String
Default: ^D
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (when s3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the current line of input to be forwarded to the host without a trailing CR/LF sequence.

Name: s3270.erase
Type: String
Default: ^?
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (s3270 gathers a line of input before forwarding it ot the host), entering this character at the keyboard will cause s3270 to discard the last character on the input line.

When connected in character-at-a-time mode (s3270 sends each keystroke to the host as it is entered), this is the character that will be sent to the host by the Erase action.

Name: s3270.eventTrace
Type: Boolean
Default: false
Command Line: -set eventTrace , -clear eventTrace
Description:

Deprecated resource -- replaced by s3270.trace

When true, s3270 traces information about keyboard and mouse events into a file. The default file name is x3trc.pid. The directory where the file is written is defined by s3270.traceDir. If s3270.traceFile is defined, it gives the entire pathname and s3270.traceDir is ignored.

Name: s3270.extended
Type: Boolean
Default: false
Command Line: -extended
Description:

Deprecated resource -- replaced by s3270.model syntax

Indicates support for the 3270 Extended Data Stream.

Name: s3270.ftAllocation
Type: String
Default: default
Description:

Defines the default allocation type for files sent to TSO hosts by IND$FILE file transfers. Possible values are default, which lets the host decide the allocation type, or tracks, cylinders, or avblock.

Name: s3270.ftAvblock
Type: Integer
Description:

Defines the default AVBOCK (average block) allocation size for files sent to TSO hosts by IND$FILE file transfers.

Name: s3270.ftBlksize
Type: Integer
Description:

Defines the default block size for files sent to TSO hosts by IND$FILE file transfers.

Name: s3270.ftBufferSize
Type: Integer
Default: 4096
Description:

Specifies the default buffer size for DFT IND$FILE file transfers. This value can be overridden in the File Transfer dialog and by a parameter to the Transfer action.

Name: s3270.ftCr
Type: String
Default: auto
Description:

Defines the default action for line separators (carriage returns and line feeds) in ASCII files during IND$FILE file transfers. The value can be auto, which will add them when files are received from the host and remove them when they are sent to the host, add (same as auto), remove (same as auto), or keep, meaning no special processing is done.

Name: s3270.ftDirection
Type: String
Default: receive
Description:

Defines the default IND$FILE file transfer direction, from the perspective of the workstation. The value can be either send (send file from workstation to host) or receive (receive file from host to workstation).

Name: s3270.ftExist
Type: String
Default: keep
Description:

Defines the default behavior for IND$FILE file transfers when the destination file already exists. The value keep means that the transfer will be aborted, replace means that the file will be overwritten unconditionally, and append means that the new file will be appended to the old file.

Name: s3270.ftHost
Type: String
Default: tso
Description:

Defines the default host type for IND$FILE file transfers. The value can be vm, tso or cics.

Name: s3270.ftHostFile
Type: String
Description:

Defines the default host file name for IND$FILE file transfers.

Name: s3270.ftLocalFile
Type: String
Description:

Defines the default local file name for IND$FILE file transfers.

Name: s3270.ftLrecl
Type: Integer
Description:

Defines the default logical record length for files sent to the host via IND$FILE.

Name: s3270.ftMode
Type: String
Default: ascii
Description:

Defines the default mode for IND$FILE file transfers: ascii (text, with translation between the workstation's code page and EBCDIC), or binary (no translation).

Name: s3270.ftPrimarySpace
Type: Integer
Description:

Defines the default primary space allocation for files sent to TSO hosts via IND$FILE.

Name: s3270.ftRecfm
Type: String
Default: default
Description:

Defines the default record format for files sent to the host using IND$FILE. Possibe values are default, fixed, variable, and undefined. The default value of 'default' lets IND$FILE choose an appropriate format.

Name: s3270.ftRemap
Type: String
Default: yes
Description:

Defines the default mapping behavior for ASCII files transferred with IND$FILE. When set to yes, ASCII files are translated by s3270 to produce as accurate a mapping as possible between the workstation's code page and the host's EBCDIC code page. When set to no, only the fixed translation built into the IND$FILE application is run, which (roughly) maps ISO 8859-1 to host code page 37.

Name: s3270.ftSecondarySpace
Type: Integer
Description:

Defines the default secondary space allocation for files sent to TSO hosts via IND$FILE.

Name: s3270.hostname
Type: String
Description:

Gives the name of the host to connect to. The name can include the usual options (prefixes to specify special connection options, LU names, and port). A hostname specified on the command line takes precedence over s3270.hostname.

The most common use of s3270.hostname is in session files, where a file is used to pass all of the options to establish a s3270 session.

Name: s3270.hostsFile
Type: String
Default: /usr/local/etc/x3270/ibm_hosts
Description:

The pathname of a file containing hostname aliases. The file can also be used to define a set of actions to perform when connecting to a host.

The format of the file is explained on the ibm_hosts manual page. The default pathname is actually ibm_hosts in the directory defined by s3270.confDir.

Name: s3270.httpd
Type: String
Command Line: -httpd
Description:

Defines the TCP port and optional address to listen on for HTTP connections. (s3270 implements a simple REST API and a set of HTML objects for access by scripts.) The syntax of this resource is [address:]port, where address is an IPv4 or IPv6 address such as 127.0.0.1 or 0.0.0.0, and port is a TCP port such as 4080. The address can also be specified as * to indicate 0.0.0.0. A numeric IPv6 address must be enclosed in square brackets, e.g., [1234:5678::3], to avoid ambiguity between the colons inside the address and the colon separating the address from the port. If no address is specified, it defaults to 127.0.0.1.

Name: s3270.icrnl
Type: Boolean
Default: true
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. It controls whether input carriage returns are mapped to newlines.

Name: s3270.idleCommand
Type: String
Description:

When s3270.idleCommand is defined, it specifies a command to execute after a period of keyboard inactivity (no AID keys pressed). The s3270.idleCommand can be an arbitrary sequence of s3270 actions, but it should include an action which generates an AID (Enter, Clear, PF or PA). s3270.idleCommandEnabled must be true in order for the s3270.idleCommand to take effect. (This is so an idle command can be defined, but needs to be enabled explicitly at some point after login.) s3270.idleTimeout specifies the inactivity interval.

Name: s3270.idleCommandEnabled
Type: Boolean
Default: false
Description:

Controls whether s3270.idleCommand has effect as soon as a host session is established. (This is so an idle command can be defined, but needs to be explicitly enabled at some point after login.)

Name: s3270.idleTimeout
Type: String
Default: ~7m
Description:

The timeout value for s3270.idleCommand. If the value ends in h, it specifies hours; if it ends in m it specifies minutes; if it ends in s or does not have an alphanumeric suffix, it specifies seconds.

If the value begins with a tilde ~, the time will be randomly varied +/-10% from the value specified.

Name: s3270.inlcr
Type: Boolean
Default: false
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. It controls whether input newlines are mapped to carriage returns.

Name: s3270.intr
Type: String
Default: ^C
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When this character is typed on the keyboard, the TELNET IP (Interrupt Process) sequence is sent to the host.

Name: s3270.keyFile
Type: String
Command Line: -keyfile
Description:

Gives the name of a file containg the private key for the certificate specified by s3270.certFile or s3270.chainFile. The default file type is PEM; it can be overridden by s3270.keyFileType. If the private key is encrypted, the password is specified by s3270.keyPasswd.

Name: s3270.keyFileType
Type: String
Default: pem
Command Line: -keyfileType
Description:

Gives the type of the private key file specified by s3270.keyFile. The value can be pem or asn1.

Name: s3270.keyPasswd
Type: String
Command Line: -keypasswd
Description:

Gives the password for the private key file specified by s3270.keyFile, if it is encrypted. The value can take one of two forms. file:filename specifies that the password is in a file. string:string gives the password value in the resource itself.

Name: s3270.kill
Type: String
Default: ^U
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (when s3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the current input line to be erased.

When connected in character-at-a-time mode (when s3270 sends each keystroke to the host), this is the ASCII character that is sent to the host by the DeleteField action.

Name: s3270.lineWrap
Type: Boolean
Default: true
Command Line: -set lineWrap , -clear lineWrap
Description:

This setting is used only in NVT mode. When true, s3270 will automatically insert a CR/LF sequence when output reaches the end of a line. When false, output will pile up at the end of each line until the host sends a CR/LF sequence.

Name: s3270.loginMacro
Type: String
Command Line: -loginmacro
Description:

Defines a sequence of commands to run as soon as a host connection is established. Usually these would be commands used to navigate through login screens, such String, Tab and Enter.

If a s3270.hostsFile is in use and a matching entry is found, the login macro from that entry will be used in preference to the s3270.loginMacro.

Name: s3270.lnext
Type: String
Default: ^V
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (when s3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard removes any special meaning from the next character entered.

Name: s3270.m3279
Type: Boolean
Default: true
Command Line: -color
Description:

Deprecated resource -- replaced by s3270.model syntax

Indicates support for color (a 3279 terminal).

Name: s3270.minVersion
Type: String
Command Line: -minversion
Description:

Defines a minimum required version for s3270. If the version of s3270 is less than the specified version, it will abort.

The format of a version is major.minor type iteration, for example, 3.4ga5 or 3.5alpha2. The version can also be under-specified, such as 3.4 or 3, where the missing parts default to 0. The value of type is ignored, so 3.4ga5 and 3.4foo5 are considered equal.

Name: s3270.model
Type: String
Default: 3279-4-E
Command Line: -model
Description:

The terminal model that s3270 is emulating. The model is in three parts, separated by dashes; each part is optional.

- 3278 or 3279
  3278 specifies a monochrome (green) 3270 display.
  3279 specifies a color 3270 display.
- 2, 3, 4 or 5 The model number, which determines the size of the screen. Model 2 has 24 rows and 80 columns. Model 3 has 32 rows and 80 columns. Model 4 has 43 rows and 80 columns. Model 5 has 27 rows and 132 columns. The default is 4.
- E An optional suffix which indicates support for the 3270 Extended Data Stream (color, extended attributes, Query Reply). 3279 implies E.

Name: s3270.monoCase
Type: Boolean
Default: false
Command Line: -set monoCase , -clear monoCase
Description:

When true, causes s3270 to run in uppercase-only mode.

Name: s3270.newEnviron
Type: Boolean
Default: true
Description:

If true, s3270 will respond to the TELNET NEW-ENVIRONMENT option. If false, it will not.

Name: s3270.numericLock
Type: Boolean
Default: false
Description:

When true, causes s3270 to lock the keyboard when non-numeric data is entered into fields with the Numeric attribute.

Name: s3270.nvtMode
Type: Boolean
Default: false
Command Line: -nvt
Description:

When true, causes s3270 to start immediately in NVT mode and allow keyboard input immediately, instead of waiting for the host to send data or negotiate 3270 mode. It also causes the default terminal type to be xterm.

Name: s3270.onlcr
Type: Boolean
Default: true
Description:

Used only in NVT line-at-a-time mode; similar to the stty parameter of the same name. It controls whether output newlines are mapped to CR/LF sequences.

Name: s3270.oerrLock
Type: Boolean
Default: true
Description:

If true, operator errors (typing into protected fields, insert overflow, etc.) will cause the keyboard to lock with an error message in the OIA (status line). If false, these errors will simply cause the terminal bell will ring, without any keyboard lock or message.

Name: s3270.once
Type: Boolean
Default: false
Command Line: -once
Description:

When true, s3270 will exit as soon as a host disconnects. The default is false if no hostname is specified on the command line, true otherwise.

Name: s3270.oversize
Type: String
Command Line: -oversize
Description:

Sets the screen dimensions to be larger than the default for the chosen model. Its value is a string in the format colsxrows. It is used only if the s3270.model includes the "-E" (extended data stream) suffix, and only if the specified dimensions are larger than the model number defaults. Also, only hosts that support the Query Reply structured field will function properly with s3270 in this mode.

Name: s3270.port
Type: String
Default: telnet
Command Line: -port
Description:

The name of the default TCP port for s3270 to connect to. This can be either a symbolic name from /etc/services, or an integer.

Name: s3270.proxy
Type: String
Command Line: -proxy
Description:

Defines a proxy server that s3270 will use to connect to hosts. The value is of the form type:server[:port], where options for type are described on the s3270 manual page.

Name: s3270.qrBgColor
Type: Boolean
Default: false
Description:

When true, s3270 will report in the QueryReply(color) that it supports background color; when false, it will not. It is disabled by default because certain versions of GDDM are confused by this report and will crash.

Name: s3270.quit
Type: String
Default: ^\
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When connected in line-at-a-time mode (when s3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the TELNET BREAK sequence to be sent to the host.

Name: s3270.rprnt
Type: String
Default: ^R
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When connected in line-at-a-time mode (when s3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the current input line to be redisplayed.

Name: s3270.sbcsCgcsgid
Type: String
Description:

Overrides the compiled-in value of the CGCSGID for the current host character set. The value is an integer, which can be prefixed with '0x' to be in hexadecimal. The upper 16 bits are the GCSGID (character set) and the lower 16 bits are the CPGID (code page). This value applies only to the single-byte (SBCS) character set. Use s3270.dbcsCgcsgid for the double-byte (DBCS) character set.

Name: s3270.screenTrace
Type: Boolean
Default: false
Command Line: -set screenTrace , -clear screenTrace
Description:

When true, s3270 will save an ASCII version of the screen image in a file every time it changes. The file name defaults to x3scr.pid. The directory where the file is written is defined by s3270.traceDir. If s3270.screenTraceFile is defined, it defines the file name and s3270.traceDir is ignored.

Name: s3270.screenTraceFile
Type: String
Description:

If defined, gives the name of the file that screen traces will be written into.

Name: s3270.scriptPort
Type: Integer
Command Line: -scriptport
Description:

If defined, s3270 will accept script connections on the specified local TCP port. The rules for the commands passed over these connections are documented in the x3270-script manual page. The syntax of this resource is [address:]port, where address is an IPv4 or IPv6 address such as 127.0.0.1 or 0.0.0.0, and port is a TCP port such as 4081. The address can also be specified as * to indicate 0.0.0.0. A numeric IPv6 address must be enclosed in square brackets, e.g., [1234:5678::3], to avoid ambiguity between the colons inside the address and the colon separating the address from the port. If no address is specified, it defaults to 127.0.0.1.

Name: s3270.scriptPortOnce
Type: Boolean
Default: false
Command Line: -scriptportonce
Description:

If defined, s3270 will accept only one script connection. When that connection is broken, it will exit.

Name: s3270.selfSignedOk
Type: Boolean
Default: false
Description:

When true, s3270 will allow SSL authentication with a host that uses a self-signed certificate.

Name: s3270.socket
Type: Boolean
Default: false
Command Line: -socket
Description:

When true, s3270 will create a Unix-domain socket than can be used by an external script to control the session. The name of the socket is /tmp/x3sck.pid. The -p option of the x3270if command can be used to connect to this socket.

Name: s3270.suppressActions
Type: String
Description:

A list of whitespace-separated action names, with or without parentheses, which are to be ignored. The actions will be completely inaccessible, whether by keymaps, scripts, macros or the Execute an Action menu option. This resource is intended to be used as a security precaution for users who can define their own keymaps, but who do not have access to resource definitions or command-line options.

Name: s3270.termName
Type: String
Command Line: -tn
Description:

An alternate name to be sent in response to the host's TELNET DO OPTION TERMINAL-NAME request. The default is IBM-, followed by the value of s3270.model.

Name: s3270.tls
Type: Boolean
Default: true
Description:

If true, s3270 will accept TLS negotiations from the host. If false, it will reject them.

Name: s3270.trace
Type: Boolean
Default: false
Command Line: -trace , -set trace , -clear trace
Description:

When true, s3270 writes information about events and actions, as well as a hexadecimal representation of all network traffic (and its interpretation) into a file, which defaults to x3trc.pid. The directory where the file is written is defined by s3270.traceDir. If s3270.traceFile is defined, it gives the entire pathname and s3270.traceDir is ignored.

Name: s3270.traceDir
Type: String
Default: /tmp
Description:

Defines the directory that trace files are written into.

Name: s3270.traceFile
Type: String
Command Line: -tracefile
Description:

If defined, gives the name of the file that data stream and event traces will be written into. If it begins with ">>", data will be appended to the file.

Name: s3270.traceFileSize
Type: String
Command Line: -tracefilesize
Description:

If defined, gives a limit on the size of the file that data stream and event traces will be written into. If not defined, or defined as 0, there will be no limit on the size of the file. The value is a number, followed by an optional suffix. If the suffix is K (e.g., 128K), the value will be multiplied by 1024. If the suffix is M, the value will be multiplied by (1024*1024). The size limit enforced at operation boundaries, not per byte, so the actual file may grow slightly larger. When the file size exceeds the limit, the trace file will be renamed with a "-" appended and a new file started.

Name: s3270.unlockDelay
Type: Boolean
Default: true
Description:

When s3270 sends the host an AID (the Enter, Clear, PF or PA actions), it locks the keyboard until the host sends a reply to unlock it. Some hosts unlock the keyboard before they are actually finished processing the command, which can cause scripts to malfunction subtly. To avoid this, s3270 implements a hack to briefly delay actually unlocking the keyboard. When s3270.unlockDelay is true, the keyboard unlock will be delayed for s3270.unlockDelayMs milliseconds. Setting it to false removes this delay, except when executing a macro.

Name: s3270.unlockDelayMs
Type: Integer
Default: 350
Description:

Overrides the default value for the unlock delay (the delay between the host unlocking the keyboard and s3270 actually performing the unlock). The value is in milliseconds; use 0 to turn off the delay completely, including for macros.

Name: s3270.user
Type: String
Command Line: -user
Description:

Specifies the user name sent in response to a TELNET NEW-ENVIRON sub-negotiation request, used by iSeries hosts (RFC 4777).

Name: s3270.utf8
Type: Boolean
Command Line: -utf8
Description:

Forces local I/O to use UTF-8 encoding, regardless of the local codepage.

Name: s3270.verifyHostCert
Type: Boolean
Default: false
Command Line: -verifycert
Description:

If false (the default), s3270 will not verify SSL host certificates. If true or if the -verifycert option is given, s3270 will verify SSL host certificates, and not allow an SSL or SSL/TLS connection to complete unless the host certificate can be validated.

Name: s3270.werase
Type: String
Default: ^W
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When connected in line-at-a-time mode (when s3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard erases the last word of input.

When connected in character-at-a-time mode (when s3270 sends each keystroke to the host), this is the ASCII character that is sent to the host by the DeleteWord action.

## Index of All Resources

acceptHostname | aidWait | bindLimit | bindUnlock
blankFill | bsdTm | caDir | caFile
certFile | certFileType | chainFile | charset
color8 | confDir | connectTimeout | dbcsCgcsgid
dftBufferSize | devName | dsTrace | eof
erase | eventTrace | extended | ftAllocation
ftAvblock | ftBlksize | ftBufferSize | ftCr
ftDirection | ftExist | ftHost | ftHostFile
ftLocalFile | ftLrecl | ftMode | ftPrimarySpace
ftRecfm | ftRemap | ftSecondarySpace | hostname
hostsFile | httpd | icrnl | idleCommand
idleCommandEnabled | idleTimeout | inlcr | intr
keyFile | keyFileType | keyPasswd | kill
lineWrap | loginMacro | lnext | m3279
minVersion | model | monoCase | newEnviron
numericLock | nvtMode | onlcr | oerrLock
once | oversize | port | proxy
qrBgColor | quit | rprnt | sbcsCgcsgid
screenTrace | screenTraceFile | scriptPort | scriptPortOnce
selfSignedOk | socket | suppressActions | termName
tls | trace | traceDir | traceFile
traceFileSize | unlockDelay | unlockDelayMs | user
utf8 | verifyHostCert | werase

## Basic Configuration Resources

charset | connectTimeout | hostname | model
port | proxy

## NVT-Mode Resources

eof | erase | icrnl | inlcr
intr | kill | lineWrap | lnext
onlcr | quit | rprnt | werase

## Protocol Resources

bindLimit | bindUnlock | bsdTm | color8
dbcsCgcsgid | dftBufferSize | devName | ftBufferSize
sbcsCgcsgid | termName | user

## Terminal Interaction Resources

blankFill | ftAllocation | ftAvblock | ftBlksize
ftCr | ftDirection | ftExist | ftHost
ftHostFile | ftLocalFile | ftLrecl | ftMode
ftPrimarySpace | ftRecfm | ftRemap | ftSecondarySpace
idleCommand | idleCommandEnabled | idleTimeout | numericLock
nvtMode | oerrLock

## Security Resources

acceptHostname | caDir | caFile | certFile
certFileType | chainFile | keyFile | keyFileType
keyPasswd | selfSignedOk | suppressActions | tls
verifyHostCert

## Tracing Resources

dsTrace | eventTrace | screenTrace | screenTraceFile
trace | traceDir | traceFile | traceFileSize

## Other Resources

aidWait | confDir | hostsFile | httpd
loginMacro | minVersion | monoCase | newEnviron
once | oversize | qrBgColor | scriptPort
scriptPortOnce | socket | unlockDelay | unlockDelayMs
utf8

## Deprecated Resources

extended | m3279

s3270 version 3.5ga10 Mon Jan 16 17:50:06 CST 2017